# xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

Inheritance diagram for xmlpp::exception:

[legend]

List of all members.

## Public Member Functions
| exception (const Glib::ustring &message)
virtual | ~exception () throw ()
virtual const char * | what () const throw ()
virtual void | Raise () const
virtual exception | Clone () const

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) | `[explicit]`

virtual xmlpp::exception::~exception | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

virtual const char* xmlpp::exception::what | ( |  | ) | const throw ()`[virtual]`

Reimplemented from std::exception.

virtual void xmlpp::exception::Raise | ( |  | ) | const`[virtual]`

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

virtual exception xmlpp::exception::Clone | ( |  | ) | const`[final, virtual]`

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

The documentation for this class was generated from the following file:

- exception.h